-- 20-bit synchronous counter

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity count20vhd is
    Port (
     CLK: in STD_LOGIC;
     COUNT: inout STD_LOGIC_VECTOR(19 downto 0)
	 );
end count20vhd;


architecture Behavioral of count20vhd is
begin
 
Countup: process (CLK)
begin
	if CLK='1' and CLK'event then
		COUNT <= COUNT + 1;
	end if;
end process;

end Behavioral;


