VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "LED"
        SIGNAL "CNT(19:0)"
        SIGNAL "CLK"
        SIGNAL "CNT(17)"
        SIGNAL "CNT(19)"
        SIGNAL "XLXN_4"
        SIGNAL "SPEED"
        SIGNAL "XLXN_5"
        PORT Output "LED"
        PORT Input "CLK"
        PORT Input "SPEED"
        BEGIN BLOCKDEF "obuf"
            TIMESTAMP 2001 3 9 11 23 23
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "title_seng"
            TIMESTAMP 2004 5 14 15 47 9
            LINE N -1136 -176 -80 -176 
            BEGIN LINE W -1136 -212 -1136 -352 
            END LINE
            BEGIN LINE W -80 -220 -80 -352 
            END LINE
            BEGIN LINE W -1136 -352 -80 -352 
            END LINE
            LINE N -112 -128 -1136 -128 
            LINE N -80 -224 -1136 -224 
            BEGIN LINE W -80 -80 -352 -80 
            END LINE
            BEGIN LINE W -1136 -80 -352 -80 
            END LINE
            BEGIN LINE W -1136 -224 -1136 -80 
            END LINE
            BEGIN LINE W -80 -80 -88 -80 
            END LINE
            BEGIN LINE W -80 -224 -80 -80 
            END LINE
            LINE N -480 -128 -480 -80 
            LINE N -112 -176 -80 -176 
            LINE N -112 -128 -80 -128 
            CIRCLE N -988 -100 -988 -100 
            LINE N -1136 -272 -80 -272 
            LINE N -1080 -272 -1076 -272 
            LINE N -1076 -272 -1044 -272 
        END BLOCKDEF
        BEGIN BLOCKDEF "count20vhd"
            TIMESTAMP 2004 5 14 15 46 22
            LINE N 64 -96 0 -96 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -108 432 -84 
            RECTANGLE N 64 -128 368 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "m2_1"
            TIMESTAMP 2001 3 9 11 24 0
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF "inv"
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_3" "obuf"
            PIN "I" "XLXN_4"
            PIN "O" "LED"
        END BLOCK
        BLOCK "XLXI_4" "title_seng"
        BEGIN BLOCK "XLXI_6" "count20vhd"
            PIN "clk" "CLK"
            PIN "count(19:0)" "CNT(19:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_7" "m2_1"
            PIN "D0" "CNT(19)"
            PIN "D1" "CNT(17)"
            PIN "S0" "XLXN_5"
            PIN "O" "XLXN_4"
        END BLOCK
        BEGIN BLOCK "XLXI_8" "inv"
            PIN "I" "SPEED"
            PIN "O" "XLXN_5"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH "LED"
            WIRE 3632 1824 3744 1824
        END BRANCH
        BEGIN BRANCH "CNT(19:0)"
            WIRE 2464 1440 2528 1440
            WIRE 2528 1440 2608 1440
            WIRE 2608 1440 2608 1792
            WIRE 2608 1792 2608 1856
            WIRE 2608 1856 2608 1888
            BEGIN DISPLAY 2528 1440 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2608 1792 2704 1792
        BEGIN DISPLAY 4384 3176 TEXT FlashLed1.JED
            FONT 112 "Arial"
        END DISPLAY
        BEGIN DISPLAY 4492 3400 TEXT FlashLed1.JED
            FONT 32 "Arial"
        END DISPLAY
        INSTANCE "XLXI_4" 5520 3600 R0
        BEGIN DISPLAY 4516 3492 TEXT 2004-05-14
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH "CLK"
            WIRE 1536 1440 2032 1440
        END BRANCH
        IOMARKER 1536 1440 "CLK" R180 28
        BEGIN DISPLAY 5276 3496 TEXT 1
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 5208 3496 TEXT 1
            FONT 32 "Arial"
        END DISPLAY
        BEGIN INSTANCE "XLXI_6" 2032 1536 R0
        END INSTANCE
        INSTANCE "XLXI_3" 3408 1856 R0
        IOMARKER 3744 1824 "LED" R0 28
        BUSTAP 2608 1856 2704 1856
        BEGIN BRANCH "CNT(17)"
            WIRE 2704 1856 2768 1856
            WIRE 2768 1856 2848 1856
            BEGIN DISPLAY 2768 1856 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "CNT(19)"
            WIRE 2704 1792 2768 1792
            WIRE 2768 1792 2848 1792
            BEGIN DISPLAY 2768 1792 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_4"
            WIRE 3168 1824 3408 1824
        END BRANCH
        BEGIN BRANCH "SPEED"
            WIRE 1568 1920 1824 1920
            WIRE 1824 1920 2048 1920
        END BRANCH
        IOMARKER 1568 1920 "SPEED" R180 28
        INSTANCE "XLXI_7" 2848 1952 R0
        INSTANCE "XLXI_8" 2048 1952 R0
        BEGIN BRANCH "XLXN_5"
            WIRE 2272 1920 2848 1920
        END BRANCH
    END SHEET
END SCHEMATIC
